Skip to main content
`Ctrl`+`K`

# VecRestoreKokkosViewWrite

Returns a Kokkos View gotten with `VecGetKokkosViewWrite()`.

## Synopsis

    template <class MemorySpace>
    PetscErrorCode VecRestoreKokkosViewWrite(Vec, Kokkos::View<PetscScalar *, MemorySpace> *)

## Synopsis

    #include <petscvec_kokkos.hpp>
    PetscErrorCode VecRestoreKokkosViewWrite  (Vec v,Kokkos::View<PetscScalar*,MemorySpace>* kv);

Logically Collective, No Fortran Support

## Input Parameters

- v - the vector in type of `VECKOKKOS`

- kv - the Kokkos View with a user-specified template parameter MemorySpace

## Notes

If the vector is not of type `VECKOKKOS`, an error will be raised.

The function is similar to `VecRestoreArrayWrite()`. It is the counterpart of `VecGetKokkosViewWrite()`.

## See Also

`VecGetKokkosViewWrite()`, `VecGetKokkosView()`, `VecGetKokkosView()`, `VecRestoreArray()`, `VecGetArrayRead()`, `VecGetArrays()`, `VecPlaceArray()`, `VecGetArray2d()`, `VecGetArrayPair()`, `VecRestoreArrayPair()`, `VecGetArrayWrite()`, `VecRestoreArrayWrite()`

## Level

beginner

## Location

include/petscvec_kokkos.hpp

Index of all Vec routines
Table of Contents for all manual pages
Index of all manual pages